<?php
mb_language('ja');
mb_internal_encoding('UTF-8');
require_once 'Mail.php';
/**
 * PEAR の Mail を使う方法
 *
 * 無料メールサーバを使用して SMTP 認証で送信します。
 * あらかじめ PEAR::Mail をインストールしておいてください。
 *  pear install -a Mail
 * （PHPをレンタルサーバで動かす場合は、業者に確認してください）
 *
 * 動作確認済メールサーバ：ポート
 *        smtp.mail.yahoo.co.jp:587
 *  ssl://smtp.mail.yahoo.co.jp:465  -注1
 *               smtp.gmail.com:587  -注1
 *         ssl://smtp.gmail.com:465  -注1
 *
 * -注1：php.ini の extension=php_openssl.dll を有効にしてください(「;」はずす)
 */

function sendmail($to, $subject, $body)
{
	///// あなたの環境にあわせて書き換えてください /////
	// ここから
	$myname = 'L2J スタッフ';
	$from = '**********@*****.com';
	$smtp_server = 'ssl://smtp.gmail.com';
	$smtp_port = 465;
	$smtp_auth_user = '**********@*****.com';
	$smtp_auth_passwd = '**********';
	$debug = FALSE;
	// ここまで
	////////////////////////////////////////////////////

	if (stristr($body, '<html>') == TRUE) $ContentType = 'text/html';
	else                                  $ContentType = 'text/plain';

	if ($debug) {echo '<pre>';}

	$mail = Mail::factory(
		 'smtp'
		,array(
			 'host'     => $smtp_server
			,'port'     => $smtp_port
			,'auth'     => true
			,'username' => $smtp_auth_user
			,'password' => $smtp_auth_passwd
			,'localhost'=> 'l2jserver'
			,'timeout'  => 60
			,'debug'    => $debug //true
			)
		);

	$e = $mail->send(
		 $to
		,array(
			 'From'     => mb_encode_mimeheader($myname)." <$from>"
			,'To'       => $to
			,'Subject'  => mb_encode_mimeheader($subject)
			,'X-Mailer' => 'L2J ACM/PHP/PEAR_Mail'
			,'Content-Transfer-Encoding' => '7bit'
			,'Content-Type' => $ContentType.'; charset=iso-2022-jp'
			)
		,mb_convert_encoding($body, 'iso-2022-jp', mb_internal_encoding())
		);

	if (PEAR::isError($e))
		die('<br><b>Error</b>: '.$e->getMessage().' in <b>'.basename(__FILE__).'</b> on line <b>'.__LINE__.'</b><br>');

	if ($debug) {echo '</pre>';exit;}
	return TRUE;
}
// PEAR::Mail の説明書
// http://pear.plus-server.net/package.mail.mail.intro.html

/**
 * トラブルシューティング
 *
 * Error: Failed to connect to ssl://smtp.gmail.com:465
 * [SMTP: Failed to connect socket: Unable to find the socket transport "ssl" - did you forget to enable it when you configured PHP? (code: -1, response: )]
 *      php.ini の extension=php_openssl.dll を有効にしてください(「;」はずす)
 */
?>
